package org.wfc.omada.api.log.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * AlertLogGridVoAlertLogOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2025-06-03T17:52:43.984874600+08:00[Asia/Shanghai]")

public class AlertLogGridVoAlertLogOpenApiVo   {
  @JsonProperty("totalRows")
  private Long totalRows;

  @JsonProperty("currentPage")
  private Integer currentPage;

  @JsonProperty("currentSize")
  private Integer currentSize;

  @JsonProperty("data")
  @Valid
  private List<AlertLogOpenApiVo> data = null;

  @JsonProperty("alertLogStat")
  private AlertLogStatOpenApiVo alertLogStat;

  public AlertLogGridVoAlertLogOpenApiVo totalRows(Long totalRows) {
    this.totalRows = totalRows;
    return this;
  }

  /**
   * Total rows of all items.
   * @return totalRows
  */
  @ApiModelProperty(value = "Total rows of all items.")


  public Long getTotalRows() {
    return totalRows;
  }

  public void setTotalRows(Long totalRows) {
    this.totalRows = totalRows;
  }

  public AlertLogGridVoAlertLogOpenApiVo currentPage(Integer currentPage) {
    this.currentPage = currentPage;
    return this;
  }

  /**
   * Current page number.
   * @return currentPage
  */
  @ApiModelProperty(value = "Current page number.")


  public Integer getCurrentPage() {
    return currentPage;
  }

  public void setCurrentPage(Integer currentPage) {
    this.currentPage = currentPage;
  }

  public AlertLogGridVoAlertLogOpenApiVo currentSize(Integer currentSize) {
    this.currentSize = currentSize;
    return this;
  }

  /**
   * Number of entries per page.
   * @return currentSize
  */
  @ApiModelProperty(value = "Number of entries per page.")


  public Integer getCurrentSize() {
    return currentSize;
  }

  public void setCurrentSize(Integer currentSize) {
    this.currentSize = currentSize;
  }

  public AlertLogGridVoAlertLogOpenApiVo data(List<AlertLogOpenApiVo> data) {
    this.data = data;
    return this;
  }

  public AlertLogGridVoAlertLogOpenApiVo addDataItem(AlertLogOpenApiVo dataItem) {
    if (this.data == null) {
      this.data = new ArrayList<>();
    }
    this.data.add(dataItem);
    return this;
  }

  /**
   * Get data
   * @return data
  */
  @ApiModelProperty(value = "")

  @Valid

  public List<AlertLogOpenApiVo> getData() {
    return data;
  }

  public void setData(List<AlertLogOpenApiVo> data) {
    this.data = data;
  }

  public AlertLogGridVoAlertLogOpenApiVo alertLogStat(AlertLogStatOpenApiVo alertLogStat) {
    this.alertLogStat = alertLogStat;
    return this;
  }

  /**
   * Get alertLogStat
   * @return alertLogStat
  */
  @ApiModelProperty(value = "")

  @Valid

  public AlertLogStatOpenApiVo getAlertLogStat() {
    return alertLogStat;
  }

  public void setAlertLogStat(AlertLogStatOpenApiVo alertLogStat) {
    this.alertLogStat = alertLogStat;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    AlertLogGridVoAlertLogOpenApiVo alertLogGridVoAlertLogOpenApiVo = (AlertLogGridVoAlertLogOpenApiVo) o;
    return Objects.equals(this.totalRows, alertLogGridVoAlertLogOpenApiVo.totalRows) &&
        Objects.equals(this.currentPage, alertLogGridVoAlertLogOpenApiVo.currentPage) &&
        Objects.equals(this.currentSize, alertLogGridVoAlertLogOpenApiVo.currentSize) &&
        Objects.equals(this.data, alertLogGridVoAlertLogOpenApiVo.data) &&
        Objects.equals(this.alertLogStat, alertLogGridVoAlertLogOpenApiVo.alertLogStat);
  }

  @Override
  public int hashCode() {
    return Objects.hash(totalRows, currentPage, currentSize, data, alertLogStat);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class AlertLogGridVoAlertLogOpenApiVo {\n");
    
    sb.append("    totalRows: ").append(toIndentedString(totalRows)).append("\n");
    sb.append("    currentPage: ").append(toIndentedString(currentPage)).append("\n");
    sb.append("    currentSize: ").append(toIndentedString(currentSize)).append("\n");
    sb.append("    data: ").append(toIndentedString(data)).append("\n");
    sb.append("    alertLogStat: ").append(toIndentedString(alertLogStat)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

